Bug 2016106 (CVE-2021-35610)

Summary: CVE-2021-35610 mysql: Server: Optimizer unspecified vulnerability (CPU Oct 2021)
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: damien.ciabrini, databases-maint, dbecker, dciabrin, hhorak, jjoyce, jorton, jschluet, lhh, ljavorsk, lpeer, mbayer, mburns, mkocka, mmuzila, mschorm, sclewis, slinaber, SpikeFedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mysql 8.0.27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2018324, 2088296, 2016141, 2016142, 2018325, 2018326    
Bug Blocks: 2016154    

Description Guilherme de Almeida Suckevicz 2021-10-20 18:40:00 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: Server: Optimizer). Supported versions that are affected are 8.0.26 and prior. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server as well as unauthorized update, insert or delete access to some of MySQL Server accessible data.

External References:

http://www.oracle.com/security-alerts/cpuoct2021.html#AppendixMSQL

Comment 1 Guilherme de Almeida Suckevicz 2021-10-20 18:58:08 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 2016141]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 2016142]

Comment 2 Tomas Hoger 2021-10-26 20:22:34 UTC
Lowering impact rating to Moderate, as per the upstream CVSS score this issue is can only be exploited with user with SQL access (PR:L).

Comment 4 errata-xmlrpc 2022-09-14 13:45:28 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:6518 https://access.redhat.com/errata/RHSA-2022:6518